.bg-custom-login {
    background-color: transparent;
    fill: rgb(231, 231, 231);
    background-size: 48px 48px;
    background-repeat: repeat;
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg id='Layer_1' fill-opacity='1' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 500 500' style='enable-background:new 0 0 500 500'%3E%3Cstyle%3E .st0{fill:rgb(231, 231, 231)} %3C/style%3E%3Ccircle class='st0' cx='87.5' cy='46.5' r='8.5'/%3E%3Ccircle class='st0' cx='94.5' cy='124.5' r='15.5'/%3E%3Ccircle class='st0' cx='244.5' cy='91.5' r='21.5'/%3E%3Ccircle class='st0' cx='348.5' cy='80.5' r='7.5'/%3E%3Ccircle class='st0' cx='155' cy='356' r='10'/%3E%3Ccircle class='st0' cx='422' cy='139' r='14'/%3E%3Ccircle class='st0' cx='123' cy='251' r='6'/%3E%3Ccircle class='st0' cx='280' cy='204' r='11'/%3E%3Ccircle class='st0' cx='315' cy='311' r='11'/%3E%3Ccircle class='st0' cx='262' cy='411' r='6'/%3E%3Ccircle class='st0' cx='455.5' cy='395.5' r='12.5'/%3E%3Ccircle class='st0' cx='432' cy='500' r='25'/%3E%3Ccircle class='st0' cx='432' r='25'/%3E%3Ccircle class='st0' cx='-3.5' cy='240.5' r='10.5'/%3E%3Ccircle class='st0' cx='496.5' cy='240.5' r='10.5'/%3E%3Ccircle class='st0' cx='96' cy='437' r='3'/%3E%3C/svg%3E");
}

.keyboard-container {
    display: flex;
    justify-content: center;
}

.keyboard-body {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 6px;
    margin: 15px
}

.digit-key {
    width: 70x;
    height: 40px;
    font-size: 16px;
    border-radius: 8px;
    border: solid 1px #e5e7eb;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out
}

.icon-key {
    width: 70px;
    height: 40px;
    font-size: 16px;
    border: none;
    background-color: #fff;
    -webkit-transition: all .1s ease-in-out;
    transition: all .1s ease-in-out
}

.numero-digit {
    color: #606c7f;
}

.icon-digit {
    color: #818a98;
}

.digit-key span.pixel {
    width: 2px;
    height: 2px;
    background-color: #acb2bd;
    border-radius: 5px;
    position: absolute;
    pointer-events: none;
    top: 0;
    left: 0
}

.pad-numerico {
    position: absolute;
    top: 100%;
    left: 0;
    display: none;
    position: absolute;
    z-index: 9999;
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 11px 15px rgba(0, 0, 0, 0.217);
}

.bg-translucid {
    background: rgba(255, 255, 255, 0.58);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    border-radius: 10px;
}

.bg-translucid-1 {
    background: rgba(255, 255, 255, 0.705);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    border-radius: 10px;
}
.bg-translucid-2 {
    background: rgba(255, 255, 255, 0.733);
    -webkit-backdrop-filter: blur(3px);
    backdrop-filter: blur(3px);
    border-radius: 10px;
}

.bg-body-login {
      background: #8eaf69;
            /* fallback for old browsers */
            background: -webkit-linear-gradient(to left, #b1afaf, #adb3cc, #e6d2d2, #8eaf69);
            /* Chrome 10-25, Safari 5.1-6 */
            background: linear-gradient(to left, #b1afaf, #adb3cc, #e6d2d2, #8eaf69);
            /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}
/* .bg-body-login {
    background-image: linear-gradient(-180deg, rgb(0, 54, 23) 30%, rgb(192, 166, 79)100%);
} */




/* loader */
.loader {
    width: 16em;
    height: 16em;
    font-size: 30px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.loader .face {
    position: absolute;
    border-radius: 50%;
    border-style: solid;
    animation: animate023845 3s linear infinite;
}

.loader .face:nth-child(1) {
    width: 100%;
    height: 100%;
    color: gold;
    border-color: currentColor transparent transparent currentColor;
    border-width: 0.2em 0.2em 0em 0em;
    --deg: -45deg;
    animation-direction: normal;
}

.loader .face:nth-child(2) {
    width: 70%;
    height: 70%;
    color: lime;
    border-color: currentColor currentColor transparent transparent;
    border-width: 0.2em 0em 0em 0.2em;
    --deg: -135deg;
    animation-direction: reverse;
}

.loader .face .circle {
    position: absolute;
    width: 50%;
    height: 0.1em;
    top: 50%;
    left: 50%;
    background-color: transparent;
    transform: rotate(var(--deg));
    transform-origin: left;
}

.loader .face .circle::before {
    position: absolute;
    top: -0.5em;
    right: -0.5em;
    content: '';
    width: 1em;
    height: 1em;
    background-color: currentColor;
    border-radius: 50%;
    box-shadow: 0 0 2em,
        0 0 4em,
        0 0 6em,
        0 0 8em,
        0 0 10em,
        0 0 0 0.5em rgba(255, 255, 0, 0.1);
}

@keyframes animate023845 {
    to {
        transform: rotate(1turn);
    }
}
